Bug 813847 - Login page: when connection to the backend is lost, no error message is displayed
Login page: when connection to the backend is lost, no error message is displ...
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Einav Cohen
infra ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 11:06 EDT by Pavel Novotny
Modified: 2016-01-28 16:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-18 19:41:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Novotny 2012-04-18 11:06:29 EDT
Description of problem:
If you are on the login screen and you stop jboss backend (or it crashes), no error message is displayed. If you then submit the form with username and password filled, the form fields get grayed out (as it is processing the data) and stays like that forever.

Version-Release number of selected component (if applicable):
ovirt-engine-3.0.0_0001-1.6.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open oVirt webadmin login screen.
2. 
  2a) Kill your network connection to the oVirt machine (unplug cable, iptables, ...).
  or
  2b) Stop jboss server on oVirt machine.
3. Fill in username, password and submit.
  
Actual results:
Form fields get grayed out as usual, but they stay this way forever.

Expected results:
After a while (connection timeout), some error message about lost connection is displayed.

Additional info:

This problem is only on login page. When user is already logged in and hit connection or jboss issue, error dialog pops out with message: "Error: A Request to the Server failed with the following Status Code: 0".
Comment 1 Itamar Heim 2012-12-18 19:41:29 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.